Subject: Re: linux-next: duplicate patch in the tip tree

From: Andrew Morton <[email-masked]>
Date: Wed, 26 Feb 2025 20:40:48 -0800

On Thu, 27 Feb 2025 14:48:17 +1100 Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Thu, 27 Feb 2025 14:44:10 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > The following commit is also in the mm tree as a different commit (but
> > the same patch):
> > 
> >   a37259732a7d ("x86/mm: Make MMU_GATHER_RCU_TABLE_FREE unconditional")
> > 
> > This is commit
> > 
> >   a30104ede395 ("x86/mm: make MMU_GATHER_RCU_TABLE_FREE unconditional")
> > 
> > in the mm-unstable branch of the mm tree.
> > 
> > This is already causing a conflct in arch/x86/kernel/paravirt.c due commit
> > 
> >   f2c5c2105827 ("x86/mm: Remove pv_ops.mmu.tlb_remove_table call")
> > 
> > in the tip tree (where I just used the tip tree version).

yes, I duplicated that match in mm.git so it can carry the series
"remove tlb_remove_page_ptdesc()".

> And another in arch/x86/mm/pgtable.c due to commit
> 
>   530c12f84d2c ("x86: pgtable: convert to use tlb_remove_ptdesc()")
> 
> in the tip tree (where I again just used the tip tree version).

Really, I'd mildly prefer that subsystem maintainers not cherrypick
patches from the middle of a series.  An acked-by would be preferred.

I can understand the desire to test a patch within the subsystem's
tree, but that can (should?) be done by testing linux-next overall.

Whatever.  I'll retain "x86: pgtable: convert to use
tlb_remove_ptdesc()" and shall figure it out within the merge window.